- Qt 6.5
- Qt WebSockets
- C++ Classes
- QWebSocket
- Qt 6.5.3 Reference Documentation

# Obsolete Members for QWebSocket

The following members of class QWebSocket are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Signals

`(deprecated (6.5))` void | error(QAbstractSocket::SocketError error)

## Member Function Documentation

### `[signal]` void QWebSocket::error(QAbstractSocket::SocketError error)

This function is deprecated since 6.5. We strongly advise against using it in new code.

Use errorOccurred(QAbstractSocket::SocketError error) instead.

Note: Signal error is overloaded in this class. To connect to this signal by using the function pointer syntax, Qt provides a convenient helper for obtaining the function pointer as shown in this example:

     connect(webSocket, QOverload<QAbstractSocket::SocketError>::of(&QWebSocket::error),
         [=](QAbstractSocket::SocketError error){ /* ... */ });